RPI-EEPROM-CONFIG(1)

NAME
rpi-eeprom-config - Bootloader EEPROM configuration tool for the Raspberry Pi 4B

DESCRIPTION
usage: rpi-eeprom-config [-h] [--config CONFIG] [--out OUT] eeprom

Bootloader EEPROM configuration tool for the Raspberry Pi 4.

There are 3 operating modes:

1. Output the bootloader configuration stored in an EEPROM image file to the screen (STDOUT): specify only the name of an EEPROM image file using the 'eeprom' option.

2. Output the bootloader configuration stored in an EEPROM image file to a file: specify the EEPROM image file using the 'eeprom' option, and the output file using the '--out' option.

3. Insert a new bootloader configuration into an EEPROM image file: specify the source EEPROM image file using the 'eeprom' option and the bootloader configuration file using the '--config' option. A new file which is a combination of the EEPROM image file, together with the new bootloader configuration file will be created - specify its name using the '--out' option. The new bootloader configuration will replace any configuration present in the source EEPROM image.

Bootloader EEPROM images are contained in the 'rpi-eeprom-images' package, which installs them to the /lib/firmware/raspberrypi/bootloader directory.

  positional arguments:

eeprom
    Name of EEPROM file to use as input

  optional arguments:

-h, --help
    show this help message and exit

--config CONFIG
    Name of bootloader configuration file

--out OUT
    Name of output file